import org.kde.qt.*;

public class Tut1 extends QObject {
	public static void main(String[] args) {
		QApplication a = new QApplication(args);
		QPushButton hello = new QPushButton("Hello World!", null);
		hello.resize(100, 30);
		
		a.setMainWidget(hello);
		hello.show();
		a.exec();
	}
	
	static {
		try {
			Class c = Class.forName("org.kde.qt.qtjava");
		} catch (Exception e) {
			e.printStackTrace();
			System.out.println("Can't load qtjava class");
		}
	}
}
